package theorycrafter.fitting.utils


/**
 * The exception thrown when there is a bug in the code.
 */
class AppBugException(message: String): RuntimeException(message)


/**
 * Throws an [AppBugException] with the given message.
 */
fun appBug(message: String): Nothing {
    throw AppBugException(message)
}